Create Audit Log report
This endpoint initiates the generation of an audit log report for a specified time frame. Reports are generated asynchronously and, once ready, can be downloaded as CSV files from /reports/{id}/download. Use /reports/{id} to monitor the report's status.
The period between startDate and endDate must not exceed 92 days, allowing for quarterly reports. Specifying a customerId filters the report to include data exclusively for that merchant. Without a customerId, the report covers all merchants in your customer hierarchy.
If a allowEmpty is not provided or is set to false the report is not generated when there is no available entries and an error is returned.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reports/auditlog" \ -H "Content-Type: application/json" \ -d '{ "startDate": "2019-08-24T14:15:22+00:00", "endDate": "2019-08-24T14:15:22+00:00", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "REPORT_REQUESTED", "createdAt": "2019-08-24T14:15:22Z"}{ "exception": { "code": 400, "message": "Bad Request" }}{ "exception": { "code": 400, "message": "Validation exception", "errorList": [ { "property": "propertyName", "message": "Error message" } ] }}{ "exception": { "code": 0, "message": "string" }}Get available reports GET
This endpoint will allow you to fetch a list containing all the reports you've generated. Use the `id` of the report to download it using the `/reports/{id}/download` endpoint. By default, it will return a complete list of reports for your entire customer hierarchy. Providing a `customerId` in the query will allow you to limit the list to reports available for one particular merchant.
Create Connect report POST
This endpoint allows you to request a Connect report for a selected `bankAccountId` and specific period. Once requested, your report will be generated asynchronously and available at the `/reports/id/download` endpoint as a CSV file once it's been generated. Check on the availability status of your report using the `/reports/{id}` endpoint. The `startDate` and `endDate` may be a maximum of **92 days** apart, allowing you to generate reports covering up to 3 months of data. If `allowEmpty` is **not** provided or is set to `false`, the report is **not** generated when there are no available entries, and an error is returned. The optional `dateFilterType` parameter allows you to specify whether the report should filter by `createdAt` (default) or `updatedAt`. When not provided, `dateFilterType` defaults to `createdAt`.